## org.aspectj.weaver.tools
Interface PointcutDesignatorHandler

    public interface PointcutDesignatorHandler

The PointcutDesignator interface allows extension of the AspectJ pointcut language so that third-party tools integrating with AspectJ can add easily their own custom domain-specific designators and have them interoperate seamlessly with the standard AspectJ designators. A pointcut designator can only be used for matching, not for binding.

Method Summary
`java.lang.String` `getDesignatorName()` The name of this pointcut designator.
`ContextBasedMatcher` `parse(java.lang.String expression)` Parse the given expression string and return a ContextBasedMatcher that can be used for matching.

Method Detail

### getDesignatorName

    java.lang.String getDesignatorName()

  The name of this pointcut designator. For example, if this designator handles a "bean(<NamePattern>) format designator, this method would return "bean".

  Returns:

### parse

    ContextBasedMatcher parse(java.lang.String expression)

  Parse the given expression string and return a ContextBasedMatcher that can be used for matching.

  Parameters:
    `expression` - the body of the pointcut expression. For example, given the expression "bean(*DAO)" the parse method will be called with the argument "*DAO".
  Returns:
    a pointcut expression that can be used for matching.
  Throws:
    `java.lang.IllegalArgumentException` - if the expression is ill-formed.